<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-app.js"></script>
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-auth.js"></script>
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-firestore.js"></script>
    <script defer src="app.js"></script>
    <link rel="stylesheet" href="app.css">
    <title>Firebase Auth Demo</title>
</head>
<body>
    <header>
        <div class="unauth visible">
            <button id="signIn">Sign-In via Google</button>
        </div>
        <div class="auth hidden">
            Logged in as <span id="userName"></span>
            <button id="signOut">Sign-Out</button>
        </div>
    </header>

    <ul>
        <li><button id="byPostcode">All sorted by postcode</button></li>
        <li><button id="inStockholm">All in Stockholm</button></li>
        <li><button id="olderThan">Older than 42</button></li>
    </ul>

    <table id="tbl" >
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Age</th>
                <th>PostCode</th>
                <th>City</th>
            </tr>
        </thead>
        <tbody id="rows"> </tbody>
    </table>

</body>
</html>